#include "prjlibs-c/standards.h"
#include <errno.h>

#include "skalibs/include/stddjb.h"
#include "prjlibs-c/constants.h"
#include "die.h"

void die_alloc(void) {
  strerr_die4sys(errstat, PROG, err_unable, err_alloc, ": ");
}

void die_overflow(void) {
  strerr_die2x(100, PROG, ": arithmetic overflow");
}

void die_write(void) {
  strerr_die3sys(errstat, PROG, err_unable, "write to network: ");
}

void die_read(char const* source) {
  strerr_die5sys(errstat, PROG, err_unable, "read from ", source, ": ");
}
